//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/sky2
{
	qer_editorimage textures/aadel_tohunga2/env/color.tga
	//q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 	  0.94 0.831 0.45 100 100 50 3 12	
			//1 0.788 0.347 140 100 50 3 12	- quite orange
			//0.94 0.831 0.619 100 100 50 3 12 - quite bland
	q3map_skyLight 150 5		//300 4
	q3map_lightRGB 	0.96 0.913 0.592 
			//0.973 0.86 0.49
			//1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/box365/box365 - -

	nopicmip
	nomipmaps
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/glass_wave
{
	q3map_lightimage textures/aadel_tohunga2/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 35000	//20000 
        {
                map textures/aadel_tohunga2/glass_wave.tga
		rgbGen vertex
        }	
}
textures/aadel_tohunga2/glass_wave_low
{
	q3map_lightimage textures/aadel_tohunga2/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 24000 //20000
        {
                map textures/aadel_tohunga2/glass_wave.tga
		rgbGen vertex
        }	
}
textures/aadel_tohunga2/light_white
{
	q3map_lightimage textures/aadel_tohunga2/light_white.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	surfaceparm nolightmap
	//q3map_surfacelight 5000 
	//q3map_surfacelight 17500 - 12may20
	q3map_surfacelight 12500
        {
                map textures/aadel_tohunga2/light_white.tga
        }
}

textures/aadel_tohunga2/sparky_tree
{
	qer_editorimage textures/aadel_tohunga2/sparky_tree.tga
	q3map_forceMeta
	q3map_clipmodel
	q3map_vertexScale 0.75 //1.4
	q3map_shadeangle 80 //110
	q3map_nonplanar
	surfaceparm slick
	{
		map textures/aadel_tohunga2/sparky_tree.tga
		rgbgen vertex
	}
}
textures/aadel_tohunga2/leaves
{
	q3map_forceMeta
	q3map_noshadow 32	//no shadows from self
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_tohunga2/leaves.tga
		alphafunc ge128
		rgbGen vertex
	}
}
textures/aadel_tohunga2/bark
{
	qer_editorimage textures/aadel_tohunga2/bark.tga
	q3map_forcemeta
	//q3map_clipModel
	q3map_vertexScale 1.125

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0

	nopicmip
	{
		map textures/aadel_tohunga2/bark.tga
		rgbGen vertex
	}
}
textures/aadel_tohunga2/fern
{
	q3map_forceMeta
	qer_editorimage textures/aadel_tohunga2/fern.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonOffset
	cull none
	{
		map textures/aadel_tohunga2/fern.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
textures/aadel_tohunga2/small_propane_can
{
	qer_editorimage textures/aadel_tohunga2/small_propane_can.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/aadel_tohunga2/small_propane_can.tga
		rgbGen vertex
	}
}
textures/aadel_tohunga2/small_gas_can
{
	qer_editorimage textures/aadel_tohunga2/small_gas_can.tga
	q3map_forcemeta
	//q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/aadel_tohunga2/small_gas_can.tga
		rgbGen vertex
	}
}
models/delirium/del_hydrant
{
	qer_editorimage models/delirium/del_hydrant.tga
	q3map_forcemeta
	//q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map models/delirium/del_hydrant.tga
		rgbGen vertex	//identity lighting looks gross
	}
}
textures/aadel_tohunga2/tyre
{
	qer_editorimage textures/aadel_tohunga2/tyre.tga
	q3map_forcemeta
	//q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/aadel_tohunga2/tyre.tga
		rgbGen vertex
	}
}
textures/aadel_tohunga2/big_tyre
{
	qer_editorimage textures/aadel_tohunga2/big_tyre.tga
	q3map_forcemeta
	//q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/aadel_tohunga2/big_tyre.tga
		rgbGen vertex
	}
}
textures/aadel_tohunga2/keres4_vegetation01
{
	qer_editorimage textures/aadel_tohunga2/keres4_vegetation01.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonOffset
	cull none
	{
		map textures/aadel_tohunga2/keres4_vegetation01.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
textures/aadel_tohunga2/keres4_vegetation02
{
	qer_editorimage textures/aadel_tohunga2/keres4_vegetation02.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonOffset
	cull none
	{
		map textures/aadel_tohunga2/keres4_vegetation02.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/mud_phong
{
	q3map_nonplanar
	q3map_shadeangle 140 //90
	qer_editorimage textures/aadel_tohunga2/dirtyr.tga 
	surfaceparm dust
	//surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga2/dirtyr.tga
		blendFunc filter
	}

}
textures/aadel_tohunga2/grass_phong
{
	qer_editorimage textures/aadel_tohunga2/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/grassy2.tga
	}
	{
		map textures/aadel_tohunga2/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/grass_rock_phong
{
	qer_editorimage textures/aadel_tohunga2/rockyr.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga2/rockyr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/grass_mud_phong
{
	qer_editorimage textures/aadel_tohunga2/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	//q3map_surfaceModel models/mapobjects/br_flowers/green_1.md3 1024 0.2 0.5 1.7 0 360 0
	{
		map textures/aadel_tohunga2/dirtyr.tga
	}
	{
		map textures/aadel_tohunga2/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/grass_mud_phong_nomarks
{
	qer_editorimage textures/aadel_tohunga2/grassy2.tga
	q3map_shadeangle 140 //90
	//q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/aadel_tohunga2/dirtyr.tga
	}
	{
		map textures/aadel_tohunga2/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/aadel_tohunga2/grass_dirt_phong
{
	qer_editorimage textures/aadel_tohunga2/dirt1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga2/dirt1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		tcmod scale 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}
textures/aadel_tohunga2/dirt_grass_phong
{
	qer_editorimage textures/aadel_tohunga2/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm dust
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/dirt1.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga2/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/grass_path_phong
{
	qer_editorimage textures/aadel_tohunga2/path1.tga
	q3map_shadeangle 140 //90 //120
	q3map_nonplanar
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga2/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/path_phong
{
	qer_editorimage textures/aadel_tohunga2/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/path1.tga
	}
	{
		map textures/aadel_tohunga2/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/path_phong_nonsolid
{
	qer_editorimage textures/aadel_tohunga2/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_tohunga2/path1.tga
	}
	{
		map textures/aadel_tohunga2/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/ground_phong
{
	qer_editorimage textures/aadel_tohunga2/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/tile07.tga
	}
	{
		map textures/aadel_tohunga2/tile07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga2/grass_ground_phong
{
	qer_editorimage textures/aadel_tohunga2/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	//surfaceparm nodamage
	{
		map textures/aadel_tohunga2/tile07.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga2/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/vine07
{
	qer_editorimage textures/aadel_tohunga2/ivy_down.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga2/ivy_down.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/aadel_tohunga2/vine06
{
	qer_editorimage textures/aadel_tohunga2/ivy_down2.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga2/ivy_down2.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/aadel_tohunga2/del_fence4
{
	qer_editorimage textures/aadel_tohunga2/del_fence4.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga2/del_fence4.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/aadel_tohunga2/wood_fence
{
	qer_editorimage textures/aadel_tohunga2/wood_fence.tga
        //cull none
        nopicmip
	//q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_cloneshader textures/aadel_tohunga2/wood_fence_back
        {
                map textures/aadel_tohunga2/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga2/wood_fence_back
{
	qer_editorimage textures/aadel_tohunga2/wood_fence.tga
        //cull none
        nopicmip
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_invert
        {
                map textures/aadel_tohunga2/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/decal_vines_wall
{
	qer_editorimage textures/aadel_tohunga2/vines_wall.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	sort 8
	cull none
	nopicmip
	{
		map textures/aadel_tohunga2/vines_wall.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga2/decal_fence_1
{
	qer_editorimage textures/aadel_tohunga2/fence_1.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga2/fence_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga2/decal_fence_2
{
	qer_editorimage textures/aadel_tohunga2/del_decal02.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga2/decal_del_decal12
{
	qer_editorimage textures/aadel_tohunga2/del_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal14
{
	qer_editorimage textures/aadel_tohunga2/del_decal14.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal14.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal42
{
	qer_editorimage textures/aadel_tohunga2/del_decal42.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal42.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/aadel_tohunga2/decal_del_decal49
{
	qer_editorimage textures/aadel_tohunga2/del_decal49.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal49.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal57
{
	qer_editorimage textures/aadel_tohunga2/del_decal57.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal57.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal58
{
	qer_editorimage textures/aadel_tohunga2/del_decal58.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal58.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal62
{
	qer_editorimage textures/aadel_tohunga2/del_decal62.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal62.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal69
{
	qer_editorimage textures/aadel_tohunga2/del_decal69.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal69.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal71
{
	qer_editorimage textures/aadel_tohunga2/del_decal71.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal71.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal72
{
	qer_editorimage textures/aadel_tohunga2/del_decal72.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal72.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal73
{
	qer_editorimage textures/aadel_tohunga2/del_decal73.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal73.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_del_decal74
{
	qer_editorimage textures/aadel_tohunga2/del_decal74.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/del_decal74.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_dirt6
{
	qer_editorimage textures/aadel_tohunga2/decal_dirt6.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt6.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/decal_cracks
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_cracks.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt10
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt10.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt18
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt18.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt4.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt8
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt8.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_leak
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_mold
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_mold.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_mud2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_mud2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_mud_end
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_mud_end.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_rust
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_rust.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/aadel_tohunga2/decal_rust6
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_rust6.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_tohunga2/decal_rust7
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga2/decal_rust7.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/powerwire01
{
	qer_editorimage textures/aadel_tohunga2/powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aadel_tohunga2/powerwire01.tga
		blendFunc filter
	}
}
textures/aadel_tohunga2/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/aadel_tohunga2/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcmod scale 2 2
	}
    	{
		map textures/aadel_tohunga2/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcmod scale 2 2
	}
}
textures/aadel_tohunga2/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_tohunga2/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
//this side faces the brighter side
textures/aadel_tohunga2/blue-white
{
	qer_editorimage textures/aadel_tohunga2/blue-white.tga
	nopicmip
	q3map_cloneshader textures/aadel_tohunga2/blue-white_back
	{
		map textures/aadel_tohunga2/blue-white.tga
		rgbgen vertex
	}
}
textures/aadel_tohunga2/blue-white_back
{
	qer_editorimage textures/aadel_tohunga2/blue-white.tga
	nopicmip
	q3map_invert
	{
		map textures/aadel_tohunga2/blue-white.tga
		rgbgen vertex
	}
}
//cheers NulL
textures/aadel_tohunga2/bay_windows
{
	qer_editorimage textures/aadel_tohunga2/08panwindow.tga
	q3map_surfacelight 100
	q3map_lightRGB 1 0.788 0.347
	{
		// Change fx texture
		map textures/aadel_tohunga2/envmap01a.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/aadel_tohunga2/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//cheers NulL
textures/aadel_tohunga2/bay_windows_low
{
	qer_editorimage textures/aadel_tohunga2/08panwindow.tga
	{
		// Change fx texture
		map textures/aadel_tohunga2/envmap01a.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/aadel_tohunga2/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//credz NulL
textures/aadel_tohunga2/gold_shader
{
	qer_editorimage textures/aadel_tohunga2/gold_base.tga
	{
		map textures/aadel_tohunga2/gold_base.tga
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/aadel_tohunga2/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_tohunga2/glass-yel
{
	qer_editorimage textures/aadel_tohunga2/glass02.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	{
		map textures/aadel_tohunga2/glass02.tga
		alphagen const 0.8
		blendfunc blend
		rgbGen vertex
		tcgen environment
	}
}
textures/aadel_tohunga2/del_wall
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_tohunga2/del_wall.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga2/del_wall.tga
		blendFunc filter
	}
}
textures/aadel_tohunga2/tegelvit01
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_tohunga2/tegelvit01.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga2/tegelvit01.tga
		blendFunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga2/sn_window1
{
	{	
		map textures/aadel_tohunga2/sn_window1.tga
	}
	{
		map textures/aadel_tohunga2/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga2/sn_window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/sn_window2
{
	{	
		map textures/aadel_tohunga2/sn_window2.tga
	}
	{
		map textures/aadel_tohunga2/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga2/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/sn_window8
{
	{	
		map textures/aadel_tohunga2/sn_window8.tga
	}
	{
		map textures/aadel_tohunga2/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga2/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/sn_window11a
{
	{	
		map textures/aadel_tohunga2/sn_window11a.tga
	}
	{
		map textures/aadel_tohunga2/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga2/sn_window11a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga2/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_tohunga2/parpaingwind01cadrb_d.tga
	}
	{
		map textures/aadel_tohunga2/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga2/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_tohunga2_b2
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_tohunga2_b2.tga
        }
	{
        	map levelshots/ut4_tohunga2_b2_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave triangle 0 1 0 0.18	//wave sin 0 1 1 0.04
	}	

}


// SHADER FILE WIN
//TEXTURES/TEXTURESANDSHIT/BULLSHIT 
//{
//	QER_RANDOMBULLSHITMODIFIER 1.4	// THIS IS SO OUR TEXTURE CNA GETS GOOD
//	SURFACEPARM NOLIGHTMAP 		// THIS IS TO MAKE TEH SHADER BETTER
//	SURFACEPARM AWESOME 		// THE FINAL STEP TO MAKING OUR SHADER TEH BEST
//	SURFACEPARM NOOBPROOF 		// SO IT WONT EVER DISPEARS IN GAME NO MATTER WUT
//	{
//		MAP TEXTURES/TEXTURESANDSHIT/BULLSHIT.TGA 	// NOTICE THE MAP PART, IT MEANS THAT IS OUR MAP
//		BLENDFUNC BLENDORSOMESHIT			// SO IT BLENDS GOOD
//		RBGERNENERATOR IDENTICY				// FOR BETTER SHADERZ
//	}
//}

//In memory of Keres <3